al_reparent_bitmap(3)

NAME

al_reparent_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_reparent_bitmap(ALLEGRO_BITMAP *bitmap, ALLEGRO_BITMAP *parent,
       int x, int y, int w, int h)

DESCRIPTION

For a sub-bitmap, changes the parent, position and size. This is the same as destroying the bitmap and re-creating it with al_create_sub_bitmap(3) - except the bitmap pointer stays the same. This has many uses, for example an animation player could return a single bitmap which can just be re-parented to different animation frames without having to re-draw the contents. Or a sprite atlas could re-arrange its sprites without having to invalidate all existing bitmaps.

SEE ALSO

al_create_sub_bitmap(3), al_get_parent_bitmap(3)

SINCE

5.1.12